Package: groovy.swing.impl

## [Java] Class DefaultAction

- groovy.swing.impl.DefaultAction

-     public class DefaultAction
      extends AbstractAction

  A default action implementation

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractAction` | `DEFAULT, NAME, SHORT_DESCRIPTION, LONG_DESCRIPTION, SMALL_ICON, ACTION_COMMAND_KEY, ACCELERATOR_KEY, MNEMONIC_KEY, SELECTED_KEY, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `actionPerformed(ActionEvent event)`
    `` | `public Closure` | `getClosure()`
    `` | `public void` | `setClosure(Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractAction` | `accept, actionPerformed, addPropertyChangeListener, equals, getClass, getKeys, getPropertyChangeListeners, getValue, hashCode, isEnabled, notify, notifyAll, putValue, removePropertyChangeListener, setEnabled, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public void actionPerformed(ActionEvent event)

    - #### public Closure getClosure()

    - #### public void setClosure(Closure closure)